extends ./layout

block title
  title Failed Payment | ACM BUT Registration

block append styles
  link(href="/public/assets/fail-payment.css", rel="stylesheet")

block menu

block prepend content
  .ui.raised.very.padded.container.segment
    .ui.padded.piled.segment
      h1.ui.text.error.header
        if paymentError
          | Payment Failed.
        else if internalError
          | Payment Succeeded,
          p.italic (But not completely!)

      .divider

      h3.ui.header
        if paymentError
          | Payment Failed. Please try again.
          p If problem persists, call the administrator.
        else if internalError
          | Payment #[strong #[i was]] successful.
          p But an internal error occurred while saving changes :(
          p Call the administrator.

      .divider

      .ui.three.column.centered.grid
        .column.button-container
          form(action="/dashboard", method="get")
            button.ui.vertical.animated.very.large.yellow.fluid.button(tabindex="0", type="submit")
              .visible.content
                  h2 Back to dashboard
              .hidden.content
                i.arrow.left.large.icon

block footer
